%define pkgname %(echo %name | tr - _)
Name:          python-poppler-qt5
Version:       21.3.0
Release:       1mamba
Summary:       A Python binding for libpoppler-qt5 that aims for completeness and for being actively maintained
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/frescobaldi/python-poppler-qt5
Source:        https://pypi.debian.net/python-poppler-qt5/python-poppler-qt5-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libpoppler-qt5-devel
BuildRequires: libpython3-devel
BuildRequires: libstdc++6-devel
BuildRequires: python3.7dist(pyqt5)
BuildRequires: python3.7dist(pyqt5-sip)
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n python-poppler-qt5-%{version}

%build
sip-build%{?with_pyver?-py%with_pyver}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#local site_packages=$(python -c "import site; print(site.getsitepackages()[0])")
sip-install --target-dir=%{buildroot}%{python_sitearch}

%files %{?pyappend}
#-f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/PyQt5/bindings/popplerqt5
%{python_sitearch}/PyQt5/bindings/popplerqt5/*
%{python_sitearch}/popplerqt5.cpython*.so
%dir %{python_sitearch}/python_poppler_qt5-%{version}.dist-info
%{python_sitearch}/python_poppler_qt5-%{version}.dist-info/*
%doc LICENSE

%changelog
* Sat Feb 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 21.3.0-1mamba
- package created using the webbuild interface
